Eclipse GEF 3.3

## org.eclipse.gef.editparts
Class GraphicalRootEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gef.editparts.GraphicalRootEditPart

All Implemented Interfaces:
  EditPart, GraphicalEditPart, LayerConstants, LayerManager, RequestConstants, RootEditPart

Deprecated. this class will be deleted, use ScrollingGraphicalViewer with ScalableRootEditPart instead

public class GraphicalRootEditPart
extends AbstractGraphicalEditPart
implements RootEditPart, LayerConstants, LayerManager

Provides support for representation of any other graphical EditPart. It contains Layers which are used to represent specific type of visual information. The Layers are (1) Primary - Used to hold the main EditPart's Figures. (2) Connection - Used to hold the connections between EditParts. (3) Handle - Takes care of holding handles for EditParts. (4) Feedback - Shows feedback information for the EditParts.

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`AbstractGraphicalEditPart.AccessibleGraphicalEditPart, AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractEditPart
`AbstractEditPart.EditPolicyIterator`

Nested classes inherited from class org.eclipse.gef.editparts.LayerManager
`LayerManager.Helper`

Field Summary
`protected EditPart` `contents` Deprecated. The contents
`protected EditPartViewer` `viewer` Deprecated. the viewer

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.LayerConstants
`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

Fields inherited from interface org.eclipse.gef.editparts.LayerManager
`ID`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`GraphicalRootEditPart()` Deprecated.

Method Summary
`protected void` `createEditPolicies()` Deprecated. Creates the initial EditPolicies and/or reserves slots for dynamic ones.
`protected IFigure` `createFigure()` Deprecated. Creates the `Figure` to be used as this part's visuals.
`Command` `getCommand(Request req)` Deprecated. Returns the unexecutable command.
`IFigure` `getContentPane()` Deprecated. Returns the primary layer, which will parent the contents editpart.
`EditPart` `getContents()` Deprecated. Returns the contents EditPart.
`DragTracker` `getDragTracker(Request req)` Deprecated. Should never be called.
`IFigure` `getLayer(Object key)` Deprecated. Returns a specified layer.
`Object` `getModel()` Deprecated. Returns the primary model object that this EditPart represents.
`RootEditPart` `getRoot()` Deprecated. Returns `this`.
`EditPartViewer` `getViewer()` Deprecated. Returns the root's EditPartViewer.
`protected void` `refreshChildren()` Deprecated. Overridden to do nothing since the child is explicitly set.
`void` `setContents(EditPart editpart)` Deprecated. Sets the contents EditPart.
`void` `setViewer(EditPartViewer newViewer)` Deprecated. Sets the root's EditPartViewer.

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`activate, addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, deactivate, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getAdapter, getFigure, getModelSourceConnections, getModelTargetConnections, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refresh, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeNotify, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getModelChildren, getParent, getSelected, getTargetEditPart, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refreshVisuals, register, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest, unregister, unregisterAccessibility, unregisterModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getEditPolicy, getParent, getSelected, getTargetEditPart, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Field Detail

### contents

    protected EditPart contents

  Deprecated.
  The contents

### viewer

    protected EditPartViewer viewer

  Deprecated.
  the viewer

Constructor Detail

### GraphicalRootEditPart

    public GraphicalRootEditPart()

  Deprecated.

Method Detail

### createEditPolicies

    protected void createEditPolicies()

  Deprecated.
  Description copied from class: `AbstractEditPart`
  Creates the initial EditPolicies and/or reserves slots for dynamic ones. Should be implemented to install the inital EditPolicies based on the model's initial state. `null` can be used to reserve a "slot", should there be some desire to guarantee the ordering of EditPolcies.

  Specified by:
    `createEditPolicies` in class `AbstractEditPart`
  See Also:
    `AbstractEditPart.createEditPolicies()`

### createFigure

    protected IFigure createFigure()

  Deprecated.
  Description copied from class: `AbstractGraphicalEditPart`
  Creates the `Figure` to be used as this part's visuals. This is called from `AbstractGraphicalEditPart.getFigure()` if the figure has not been created.

  Specified by:
    `createFigure` in class `AbstractGraphicalEditPart`
  Returns:
    a Figure
  See Also:
    `AbstractGraphicalEditPart.createFigure()`

### getCommand

    public Command getCommand(Request req)

  Deprecated.
  Returns the unexecutable command.

  Specified by:
    `getCommand` in interface `EditPart`
  Overrides:
    `getCommand` in class `AbstractEditPart`
  Parameters:
    `req` - the Request
  Returns:
    a Command
  See Also:
    `EditPart.getCommand(org.eclipse.gef.Request)`

### getContents

    public EditPart getContents()

  Deprecated.
  Description copied from interface: `RootEditPart`
  Returns the contents EditPart. A RootEditPart only has a single child, called its contents.

  Specified by:
    `getContents` in interface `RootEditPart`
  Returns:
    the contents.
  See Also:
    `RootEditPart.getContents()`

### getDragTracker

    public DragTracker getDragTracker(Request req)

  Deprecated.
  Should never be called.

  Specified by:
    `getDragTracker` in interface `EditPart`
  Overrides:
    `getDragTracker` in class `AbstractGraphicalEditPart`
  See Also:
    `EditPart.getDragTracker(org.eclipse.gef.Request)`

### getLayer

    public IFigure getLayer(Object key)

  Deprecated.
  Description copied from interface: `LayerManager`
  Returns a specified layer.

  Specified by:
    `getLayer` in interface `LayerManager`
  Overrides:
    `getLayer` in class `AbstractGraphicalEditPart`
  Parameters:
    `key` - ID of the Layer
  Returns:
    The requested layer or `null` if it doesn't exist
  See Also:
    `LayerManager.getLayer(java.lang.Object)`

### getContentPane

    public IFigure getContentPane()

  Deprecated.
  Returns the primary layer, which will parent the contents editpart.

  Specified by:
    `getContentPane` in interface `GraphicalEditPart`
  Overrides:
    `getContentPane` in class `AbstractGraphicalEditPart`
  See Also:
    `GraphicalEditPart.getContentPane()`

### getModel

    public Object getModel()

  Deprecated.
  Description copied from interface: `EditPart`
  Returns the primary model object that this EditPart represents. EditParts may correspond to more than one model object, or even no model object. In practice, the Object returned is used by other EditParts to identify this EditPart. In addition, EditPolicies probably rely on this method to build Commands that operate on the model.

  Specified by:
    `getModel` in interface `EditPart`
  Overrides:
    `getModel` in class `AbstractEditPart`
  See Also:
    `EditPart.getModel()`

### getRoot

    public RootEditPart getRoot()

  Deprecated.
  Returns `this`.

  Specified by:
    `getRoot` in interface `EditPart`
  Overrides:
    `getRoot` in class `AbstractEditPart`
  See Also:
    `EditPart.getRoot()`

### getViewer

    public EditPartViewer getViewer()

  Deprecated.
  Description copied from interface: `RootEditPart`
  Returns the root's EditPartViewer.

  Specified by:
    `getViewer` in interface `RootEditPart`
  Overrides:
    `getViewer` in class `AbstractEditPart`
  See Also:
    `EditPart.getViewer()`

### refreshChildren

    protected void refreshChildren()

  Deprecated.
  Overridden to do nothing since the child is explicitly set.

  Overrides:
    `refreshChildren` in class `AbstractEditPart`
  See Also:
    `AbstractEditPart.refreshChildren()`

### setContents

    public void setContents(EditPart editpart)

  Deprecated.
  Description copied from interface: `RootEditPart`
  Sets the contents EditPart. A RootEditPart only has a single child, called its contents.

  Specified by:
    `setContents` in interface `RootEditPart`
  Parameters:
    `editpart` - the contents
  See Also:
    `RootEditPart.setContents(org.eclipse.gef.EditPart)`

### setViewer

    public void setViewer(EditPartViewer newViewer)

  Deprecated.
  Description copied from interface: `RootEditPart`
  Sets the root's EditPartViewer.

  Specified by:
    `setViewer` in interface `RootEditPart`
  Parameters:
    `newViewer` - the EditPartViewer
  See Also:
    `RootEditPart.setViewer(org.eclipse.gef.EditPartViewer)`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.